<?php

namespace App;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class News extends Model 
{

    protected $table = 'news';
    public $timestamps = true;

    use SoftDeletes;

    protected $dates = ['deleted_at'];

    public function newTranslation()
    {
        return $this->hasMany('NewTranslation');
    }

    public function images()
    {
        return $this->morphMany('Image');
    }

    public function newsCategory()
    {
        return $this->belongsTo('NewsCategory');
    }

}